package org.wfc.omada.api.monitor.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * UpdateTabOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:38:12.484+08:00[Asia/Shanghai]")

public class UpdateTabOpenApiVo   {
  @JsonProperty("name")
  private String name;

  @JsonProperty("reset")
  private Boolean reset;

  public UpdateTabOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Name on this Dashboard page must be unique, it should contain 1 to 64 characters.
   * @return name
  */
  @ApiModelProperty(value = "Name on this Dashboard page must be unique, it should contain 1 to 64 characters.")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public UpdateTabOpenApiVo reset(Boolean reset) {
    this.reset = reset;
    return this;
  }

  /**
   * True: reset Default TAB (custom TAB cannot be reset).
   * @return reset
  */
  @ApiModelProperty(value = "True: reset Default TAB (custom TAB cannot be reset).")


  public Boolean getReset() {
    return reset;
  }

  public void setReset(Boolean reset) {
    this.reset = reset;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UpdateTabOpenApiVo updateTabOpenApiVo = (UpdateTabOpenApiVo) o;
    return Objects.equals(this.name, updateTabOpenApiVo.name) &&
        Objects.equals(this.reset, updateTabOpenApiVo.reset);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name, reset);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UpdateTabOpenApiVo {\n");
    
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    reset: ").append(toIndentedString(reset)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

